#include "EventLib.h"
#include "WindowLib.h"

static EventTableType gEventTable;

static void activate(EventObjectType object, Boolean activate)
{
	WinActivate(object, activate);
}

static void update(EventObjectType object)
{
	WinUpdate(object);
}

static void suspend(void)
{
	WinSuspend();
}

static void resume(void)
{
	WinResume();
}

const EventTableType *WinEventTable(void)
{
	return(&gEventTable);
}

void WinEventTableRegister(void)
{
	gEventTable.window.activate = activate;
	gEventTable.window.update = update;
	gEventTable.objectType.suspend = suspend;
	gEventTable.objectType.resume = resume;
	EventTableRegister(&gEventTable);
}
